package discovery

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	"git.loafle.net/overflow/commons-go/model/meta"
	"github.com/google/gopacket"
)

type Port struct {
	MetaPortType   *meta.MetaPortType `json:"metaPortType,omitempty"`
	PortNumber     json.Number        `json:"portNumber,omitempty"`
	DiscoveredDate *util.Timestamp    `json:"discoveredDate,omitempty"`

	Host        *Host      `json:"host,omitempty"`
	ServiceList []*Service `json:"serviceList,omitempty"`

	UDPLayer gopacket.Layer `json:"-"`
}
