package noauthprobe

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	"git.loafle.net/overflow/commons-go/model/domain"
	"git.loafle.net/overflow/commons-go/model/meta"
	"git.loafle.net/overflow/commons-go/model/probe"
)

type NoAuthProbe struct {
	ID                    json.Number                 `json:"id,Number,omitempty"`
	Domain                *domain.Domain              `json:"domain,omitempty"`
	Probe                 *probe.Probe                `json:"probe,omitempty"`
	MetaNoAuthProbeStatus *meta.MetaNoAuthProbeStatus `json:"metaNoAuthProbeStatus,omitempty"`
	InfraHostMeta         string                      `json:"infraHostMeta,omitempty"`
	TempProbeKey          string                      `json:"tempProbeKey,omitempty"`
	APIKey                string                      `json:"apiKey,omitempty"`
	ConnectDate           *util.Timestamp             `json:"connectDate,omitempty"`
	ConnectAddress        string                      `json:"connectAddress,omitempty"`
	CreateDate            *util.Timestamp             `json:"createDate,omitempty"`
}
