package sensor

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	"git.loafle.net/overflow/commons-go/model/meta"
	"git.loafle.net/overflow/commons-go/model/target"
)

type Sensor struct {
	ID                 json.Number              `json:"id,Number,omitempty"`
	Target             *target.Target           `json:"target,omitempty"`
	Name               string                   `json:"name,omitempty"`
	MetaSensorStatus   *meta.MetaSensorStatus   `json:"metaSensorStatus,omitempty"`
	MetaCrawlerMapping *meta.MetaCrawlerMapping `json:"metaCrawlerMapping,omitempty"`
	CrawlerInputItems  string                   `json:"crawlerInputItems,omitempty"`
	ItemCount          json.Number              `json:"itemCount,omitempty"`
	CreateDate         *util.Timestamp          `json:"createDate,omitempty"`
	Interval           json.Number              `json:"interval,Number,omitempty"`
}
